List participants with enrollments by device
curl --request GET \
--url http://api.trio.com.br/biometrics/participants \
--header 'Authorization: Basic <encoded-value>'import requests
url = "http://api.trio.com.br/biometrics/participants"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('http://api.trio.com.br/biometrics/participants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"avatar": "https://cdn.raidiam.io/directory-ui/brand/obbrazil/0.2.0.112/favicon.svg",
"id": "019fa021-d9f8-a4b4-0683-068db83a1f65",
"integration_id": "019fa021-d9f9-7fa9-6f53-afc7b32f7b93",
"is_enrollment_available": true,
"ispb": "12345678",
"name": "Mock Bank",
"slug": "mock-bank",
"status": "active",
"unavailable": false,
"enrolled?": true,
"enrollment": {
"device_id": "019fa021-d9f8-a4b4-0683-068db83a1f65",
"expiration_datetime": "2026-08-26T00:00:00Z",
"id": "019fa021-d9f9-7fa9-6f53-afc7b32f7b93",
"inserted_at": "2026-07-26T00:00:00Z",
"participant_id": "019fa021-d9f8-a4b4-0683-068db83a1f65",
"status": "completed",
"updated_at": "2026-07-26T00:00:00Z"
}
}
]
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}Biometrics
List participants
Lists participants for a device with optional enrollment info.
GET
/
biometrics
/
participants
List participants with enrollments by device
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Device ID
List of ISPBs to filter by
Whether to load enrollments for each participant
Response
Participants
List of biometrics participants with enrollment info
Show child attributes
Show child attributes
⌘I

